Subject: Ticket Assigned - Product information
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 30 Mar 2021 02:45:46 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Product information I bought this item, it is the only order i made.
https://www.centrepointstores.com/ae/en/Travel/Travel/Hardcase-%26-Softcase-Luggage/SHOEMART-it-Textured-Hardcase-Trolley-Bag-with-Retractable-Handle/p/162451619

However, it shows as the brand is “IT”, but actually this is not an IT brand!! It is Prolite and IT is not written on the bag at all! I bought it before traveling because i only use IT brand! Why do you write IT as the brand while it is not?

This is a very bad experience, i tried many times to order that bag but the application was not working, and when it finally worked, the bag was not the correct brand!!

I need to escalate this please! 

I prefer communication by email or through this number  only +201203303288 Egypt number https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2323185